# OGSTools 0.1.0 Release Notes

The second release of the `ogstools`-package brings lots of new library functionality for e.g. plotting and mesh generation as well as a new tool for converting FEFLOW meshes! A full-featured prebuilt [Docker image](../user-guide/docker.md) is provided.

## Library

[`feflowlib`](../user-guide/feflowlib.md) is a new package for accessing FEFLOW easily in `pyvista`.

[`meshlib`](../user-guide/meshlib.md) is a new package for efficient mesh generation from surfaces. It can be used to create meshes from  {ref}`PyVista surfaces <sphx_glr_auto_examples_howto_preprocessing_plot_meshlib_pyvista_input.py>` and from {ref}`.vtu surface files <sphx_glr_auto_examples_howto_preprocessing_plot_meshlib_vtu_input.py>`.

______________________________________________________________________

[`meshplotlib`](../user-guide/plot.md) is a new package to visualize {ref}`2D <sphx_glr_auto_examples_howto_plot_plot_contourf_2d.py>` and {ref}`3D <sphx_glr_auto_examples_howto_plot_plot_contourf_3d.py>` mesh data. It also can generate {ref}`animations <sphx_glr_auto_examples_howto_plot_plot_animation.py>`:

![](../auto_examples/howto_plot/images/sphx_glr_plot_animation_001.gif)

______________________________________________________________________

[`propertylib`](../user-guide/variables.md) is a new package which provides a base class to handle {ref}`common mesh properties systematically <sphx_glr_auto_examples_howto_postprocessing_plot_variables.py>` (e.g. temperature, pressure, displacement, ...).

______________________________________________________________________

[`nuclearwasteheat`](../user-guide/nuclearwasteheat.md) provides an easy way to {ref}`calculate the heat generated by nuclear waste repositories <sphx_glr_auto_examples_howto_postprocessing_plot_nuclearwasteheat.py>`.

## Tools

The new [`feflow2ogs`](../user-guide/feflowlib.md)-tool converts data stored in FEFLOW binary format to VTK format. It can only be used with a [FEFLOW installation](../user-guide/feflowlib.md#installation).

## Infrastructure & Development

[Examples](../auto_examples/index.rst) on the web page are generated via [sphinx_gallery](https://sphinx-gallery.github.io/stable/index.html) which also allows for downloading the example as an Jupyter Notebook file.

We also added some shortcuts via `make` for [development related tasks](../development/index.md) such as setting up the development environment, running the tests or creating a live preview of the documentation.

Development can now be done via VSCode's [Dev Containers](../development/index.md#development-in-a-container-with-vscode).
