# logparser

```{eval-rst}
.. sectionauthor:: Tobias Meisel (Helmholtz Centre for Environmental Research GmbH - UFZ)
```

`logparser` provides an easy way to analyze log messages from ogs runs.

## Features

- logs from serial and parallel execution of ogs are supported
- multiple pre-defined analyses (documented in examples)
- easy to customize (own regular expression, custom analyses)
- works well with pandas data framework

## Getting started

Following examples demonstrate the usage of the logparser:

- [](../auto_examples/howto_simulation/plot_100_logparser_intro.rst)
- [](../auto_examples/howto_simulation/plot_101_logparser_analyses.rst)
- [](../auto_examples/howto_simulation/plot_102_logparser_advanced.rst)

You can access the comprehensive API documentation at: [](../reference/ogstools.logparser).
